Bienvenue sur le forum de la ZiGate !

Ici, nous échangeons sur les produits ZiGate (matériellement) et les firmware.

Pour que vous puissiez gagner du temps, je vous conseille de visiter, dans un premier temps, les forums et documentations des plugins et box domotique que vous avez choisi :

Jeedom :

Forum : https://community.jeedom.com/
Plugin ZiGate : https://github.com/Jeedom-Zigate/jeedom-plugin-zigate
Plugin Abeille : https://github.com/KiwiHC16/Abeille + http://kiwihc16.free.fr/

Domoticz :

Forum Francophonehttps://easydomoticz.com/forum/viewforum.php?f=28
Forum Anglophonehttps://www.domoticz.com/forum/viewforum.php?f=68
Développeur: @pipiche38 disponible sur keybase.io en chat

EEdomus :

Forum : https://forum.eedomus.com/

Home-assistant :

Plugin : https://github.com/doudz/homeassistant-zigate
Zigpy : https://www.home-assistant.io/integrations/zha/

Fil d’Ariane du forum – Vous êtes ici :Forum de la ZiGatePiZiGate: Questions diversesError 11
Vous devez vous identifier pour créer des messages et des sujets.

Error 11

12

Ma PiZigate etait bouillante depuis le début.

Mon installation :

RPI3 avec le bluetooth de désactivé.

J'ai pourtant pu l'utilisée avec le plugin Zigate de Domoticz.

Ce soir c'est le drame, la led est passée comme en mode Flash, et voici les resulats du test :

pi@PiZigate:~/Tools/PiZiGate/Test $ ./PiZiGate_test /dev/ttyAMA0

Searching /dev/ttyAMA0...

sh: 1: lsof: not found

+ Port : /dev/ttyAMA0 is not used

Verif GPIOs ...

+ GPIO 0 (RESET) --> OK

+ GPIO 2 (FLASH) --> OK

Config GPIOs ...

+ GPIO 0 (RESET) --> OK

+ GPIO 2 (FLASH) --> OK

Opening : /dev/ttyAMA0 ...

+ /dev/ttyAMA0 opened --> OK

- No packet received - size sent : 11 - error : 11

HELP !

Bonjour,

comme échangé par mail / twitter, c'est probablement un problème matériel.

Je t'envoie un nouveau module.

Fred.

Salut à vous,

 

J'en profite vu que mon problème est identique, pour éviter de créer un autre post :

Searching /dev/ttyAMA0...

+ Port : /dev/ttyAMA0 is not used

Verif GPIOs ...

+ GPIO 0 (RESET) --> OK

+ GPIO 2 (FLASH) --> OK

Config GPIOs ...

+ GPIO 0 (RESET) --> OK

+ GPIO 2 (FLASH) --> OK

Opening : /dev/ttyAMA0 ...

+ /dev/ttyAMA0 opened --> OK

- No packet received - size sent : 11 - error : 11

Depuis ce soir, je ne pouvais plus communiquer avec mes capteurs, je suppose que ça en es la raison ?

Merci d'avance

Bonjour,

Pouvez-vous télécharger le nouvel outil de test et copier vos résultats ?

https://github.com/fairecasoimeme/PiZiGate-tools/releases/download/v1.1/PiZiGate_test

Fred

Bonjour, j'en profite pour moi aussi poster mon probleme similaire

J'ai suivi les instructions ici : https://zigate.fr/documentation/parametrer-la-pizigate/

J'obtiens toujours ça :

 |  17 |   0 | GPIO. 0 |  OUT | 1 | 11 || 12 | 0 | IN   | GPIO. 1 | 1   | 18  |

|  27 |   2 | GPIO. 2 |  OUT | 1 | 13 || 14 |   |      | 0v      |     |     |

|  22 |   3 | GPIO. 3 |   IN | 0 | 15 || 16 | 0 | IN   | GPIO. 4 | 4   | 23  |

Et à la fin du test :

pi@raspberrypi:~/PiZiGate-tools/test $ ./PiZiGate_test /dev/ttyAMA0

RPI Model searching ...

Warning !!! you must modify /boot/config.txt

Verifying /boot/cmdline.txt ...

+ /boot/cmdline.txt seems to be OK

Verifying /boot/config.txt ...

+ /boot/config.txt seems to be OK

Warning !!! if it's not the case, you have to execute the following commands :

sudo systemctl disable hciuart

sudo usermod -aG gpio pi

then reboot the PI

Searching /dev/ttyAMA0...

+ Port : /dev/ttyAMA0 is not used

Verif GPIOs ...

+ GPIO 0 (RESET) --> OK

+ GPIO 2 (FLASH) --> OK

Config GPIOs ...

+ GPIO 0 (RESET) --> OK

+ GPIO 2 (FLASH) --> OK

Opening : /dev/ttyAMA0 ...

+ /dev/ttyAMA0 opened --> OK

+ Packet 01 02 10 10 02 10 02 10 10 03 sent --> OK

- No packet received - size sent : 11 - error : 11

Merci pour votre aide

Bonjour,

Quel système domotique avez-vous ?

Jeedom ? Domoticz ?

Avez-vous coupé les plugins avant de lancer les tests ?

Fred.

Bonjour

Merci pour votre réponse. Je viens à l'instant de faire une fresh reinstal de debian et de jeedom

Je branche ma clé zigate à un port USB du pi3b+ : la clé s'allume (lumière bleue et lumière rouge)

Dans jeedom, lorsque j'installe le plugin zigate, celui ci (dans la partie configuration) ne voit pas la clé. Je suis censé avoir une ligne "prolific" or je n'ai absolument rien de tout cela. Donc impossible de lancer le demon, qui plante de toute façon

Merci de m'indiquer par ou commencer. Si vous voulez des logs je peux vous en donner

PAR CONTRE : lorsque je passe la zigate en mode Flash, elle devient visible dans le plugin zigate de jeedom (jusqu'à ce que je redemarre le pi et là elle n'est plus visible à nouveau...). Bref, quand elle est visible je la selectionne (Prolific_Technology_Inc.USB_controller (/dev/ttyUSB0) mais le demon ne se lance pas (toujours NOK) et voici les logs :

[2019-06-16 19:36:48][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement

[2019-06-16 19:36:53][ERROR][zigate](MainThread) : Cannot connect to ZiGate using port /dev/ttyUSB0

Traceback (most recent call last):

File "/usr/local/lib/python3.5/dist-packages/zigate/transport.py", line 201, in reconnect

self.serial = self.initSerial()

File "/usr/local/lib/python3.5/dist-packages/zigate/transport.py", line 195, in initSerial

return serial.Serial(self._port, 115200)

File "/usr/lib/python3/dist-packages/serial/serialutil.py", line 236, in __init__

self.open()

File "/usr/lib/python3/dist-packages/serial/serialposix.py", line 286, in open

self._update_dtr_state()

File "/usr/lib/python3/dist-packages/serial/serialposix.py", line 612, in _update_dtr_state

fcntl.ioctl(self.fd, TIOCMBIS, TIOCM_DTR_str)

OSError: [Errno 5] Input/output error

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 325, in <module>

z.autoStart(args.channel)

File "/usr/local/lib/python3.5/dist-packages/zigate/core.py", line 321, in autoStart

self.startup(channel)

File "/usr/local/lib/python3.5/dist-packages/zigate/core.py", line 338, in startup

self.setup_connection()

File "/usr/local/lib/python3.5/dist-packages/zigate/core.py", line 214, in setup_connection

self.connection = ThreadSerialConnection(self, self._port)

File "/usr/local/lib/python3.5/dist-packages/zigate/transport.py", line 187, in __init__

self.reconnect(False)

File "/usr/local/lib/python3.5/dist-packages/zigate/transport.py", line 209, in reconnect

raise ZIGATE_CANNOT_CONNECT('Cannot connect to ZiGate using port {}'.format(self._port))

zigate.transport.ZIGATE_CANNOT_CONNECT: Cannot connect to ZiGate using port /dev/ttyUSB0

[2019-06-16 19:36:58][ERROR] : Impossible de lancer le démon zigate, relancer le démon en debug et vérifiez la log

 

Bonjour zigate

Comme ma clé est inutilisable en l'état, ça se passe comment ? Je m'assois sur mes 50 balles ou vous avez une idée pour me débloquer ?

Merci bcp

Bonjour,

J'ai du mal à comprendre si vous avez une PiZiGate ou une ZiGate-USB . Si vous avez une ZiGate-USB, vous n'êtes pas sur le bon fil de discussion.

Ensuite, Avez-vous suivi la procédure concernant le test d'un ZiGate-USB ?

https://zigate.fr/documentation/tester-la-zigate-usb-v1-1/

Cordialement,
Fred

Bonjour

Depuis que je l'ai, je n'arrive pas a activer ma PiZigate (sur Rasberry Pi3, Rasbian Jessie, j'ai aussi une erreur 11 et la led bleue reste allumée faiblement, voici le message que me donne la procédure de test:

pi@pidomotz:~/domoticz/plugins/Domoticz-Zigate/Tools/PiZiGate-tools/test$ ./PiZiGate_test /dev/ttyAMA0

RPI Model searching ...

All it's OK

Verifying /boot/cmdline.txt ...

+ /boot/cmdline.txt seems to be OK

Searching /dev/ttyAMA0...

+ Port : /dev/ttyAMA0 is not used

Verif GPIOs ...

+ GPIO 0 (RESET) --> OK

- GPIO 2 (FLASH) --> NOK

Config GPIOs ...

+ GPIO 0 (RESET) --> OK

+ GPIO 2 (FLASH) --> OK

Opening : /dev/ttyAMA0 ...

+ /dev/ttyAMA0 opened --> OK

+ Packet 01 02 10 10 02 10 02 10 10 03 sent --> OK

- No packet received - size sent : 11 - error : 11

 

Merci de me dire comment faire, sachant que j'ai essayé de la flasher mais je n'arrive pas à le faire, je ne sais pas ou es le fichier bin nécessaire

12
Translate »